std::fisher_f_distribution< _RealType >::param_type Struct Reference
Numerics » Random Number Generation » Random Number Distributions » Normal Distributions

`#include <random.h>`

## Public Types

typedef fisher_f_distribution< _RealType > | distribution_type

## Public Member Functions

| param_type (_RealType __m, _RealType __n=_RealType(1))
_RealType | m () const
_RealType | n () const

## Friends

bool | operator!= (const param_type &__p1, const param_type &__p2)
bool | operator== (const param_type &__p1, const param_type &__p2)

## Detailed Description

template<typename _RealType = double>
struct std::fisher_f_distribution< _RealType >::param_type

Parameter type.

Definition at line 3074 of file random.h.

## Member Typedef Documentation

## distribution_type

template<typename _RealType = double>

typedef fisher_f_distribution<_RealType> std::fisher_f_distribution< _RealType >::param_type::distribution_type

Definition at line 3076 of file random.h.

## Constructor & Destructor Documentation

## param_type() [1/2]

template<typename _RealType = double>

std::fisher_f_distribution< _RealType >::param_type::param_type | ( |  | ) |

inline

Definition at line 3078 of file random.h.

## param_type() [2/2]

template<typename _RealType = double>

std::fisher_f_distribution< _RealType >::param_type::param_type | ( | _RealType | __m,
|  | _RealType | __n = _RealType(1) )

inline explicit

Definition at line 3081 of file random.h.

## Member Function Documentation

## m()

template<typename _RealType = double>

_RealType std::fisher_f_distribution< _RealType >::param_type::m | ( |  | ) | const

inline

Definition at line 3086 of file random.h.

## n()

template<typename _RealType = double>

_RealType std::fisher_f_distribution< _RealType >::param_type::n | ( |  | ) | const

inline

Definition at line 3090 of file random.h.

## Friends And Related Symbol Documentation

## operator!=

template<typename _RealType = double>

bool operator!= | ( | const param_type & | __p1,
|  | const param_type & | __p2 )

friend

Definition at line 3098 of file random.h.

## operator==

template<typename _RealType = double>

bool operator== | ( | const param_type & | __p1,
|  | const param_type & | __p2 )

friend

Definition at line 3094 of file random.h.

The documentation for this struct was generated from the following file:

- random.h